Summary:		Builds a Linux kernel from the source and patches.
Name:			buildkernel
Version:		1.00
Release:		1
Copyright:		GPL
Group:			Development/Building
Source:			ftp://buildkernel.stearns.org/pub/buildkernel/buildkernel-1.00.tar.gz
URL:			http://www.pobox.com/~wstearns/buildkernel/index.html
Vendor:			William Stearns
Packager:		William Stearns <wstearns@pobox.com>
BuildRoot:      /tmp/buildkernel-broot
Buildarch:		noarch

%description
Buildkernel allows a user to build a new Linux kernel from the source
files and patches.  Its strength is that it understands the build process. 
This means novices to the build process can build a new kernel without
having to understand all the intricacies of the process.  Experienced
users can use this to automate the process of building a number of
kernels, allowing you to experiment with new patches and beta kernels with
much less attention. 

%prep
%setup

%build

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/buildkernel-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
	install -d $RPM_BUILD_ROOT/etc
	install -d $RPM_BUILD_ROOT/usr
	install -d $RPM_BUILD_ROOT/usr/bin
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Buildroot
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/buildkernel-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Buildroot
fi
		

%files
%doc COPYING QUICKSTART TURBOSTART-NEWESTSTABLE buildkernel.doc index.html buildkernel.lsm sample.bklog
%config /etc/bkrc
/usr/bin/buildkernel

